public class NetworkReplayBattleSetupCardEvent : NetworkBattleSetupCardEvent
{
	public NetworkReplayBattleSetupCardEvent(BattleManagerBase manager, RegisterActionManager registerCardList, NetworkBattleData data)
		: base(manager, registerCardList, data)
	{
	}

	public override void SetupCardSkillEvent(BattleCardBase card)
	{
		SetupPreAndPostEvolutionSkillEvents(card);
	}

	protected override bool IsSendUnapprovedList(SkillBase skill)
	{
		return false;
	}

	protected override bool IsCheckValidateCard()
	{
		return false;
	}

	protected override bool IsCheckSkillConditionCard(BattleCardBase card)
	{
		return false;
	}

	public override bool IsSettingUnapprovedCard(SkillBase skill)
	{
		return false;
	}

	protected override bool IsSetNotCheckSelectSkillCard()
	{
		return false;
	}
}
